# Method: projects.locations.registrations.configureManagementSettings

- [HTTP request](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/configureManagementSettings#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/configureManagementSettings#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/configureManagementSettings#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/configureManagementSettings#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/configureManagementSettings#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/configureManagementSettings#body.aspect)
- [Try it!](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/configureManagementSettings#try-it)

Updates a `Registration`'s management settings.

### HTTP request

`POST https://domains.googleapis.com/v1/{registration=projects/*/locations/*/registrations/*}:configureManagementSettings`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `registration` | `string` Required. The name of the `Registration` whose management settings are being updated, in the format `projects/*/locations/*/registrations/*`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `registration`: - `domains.registrations.configureManagement` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "managementSettings": { object (`https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations#ManagementSettings`) }, "updateMask": string } ``` |

| Fields ||
|---|---|
| `managementSettings` | ``object (`https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations#ManagementSettings`)`` Fields of the `ManagementSettings` to update. |
| `updateMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Required. The field mask describing which fields to update as a comma-separated list. For example, if only the transfer lock is being updated, the `updateMask` is `"transferLockState"`. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/domains/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).